init python:

    def MaxScale(img, minwidth=config.screen_width, minheight=config.screen_height):
        currwidth, currheight = renpy.image_size(img)
        xscale = float(minwidth) / currwidth
        yscale = float(minheight) / currheight

        if xscale > yscale:
            maxscale = xscale
        else:
            maxscale = yscale

        return im.FactorScale(img, maxscale, maxscale)

    def MinScale(img, maxwidth=config.screen_width, maxheight=config.screen_height):
        currwidth, currheight = renpy.image_size(img)
        xscale = float(maxwidth) / currwidth
        yscale = float(maxheight) / currheight

        if xscale < yscale:
            minscale = xscale
        else:
            minscale = yscale

        return im.FactorScale(img, minscale, minscale)

    maxnumx = 2
    maxnumy = 2
    maxthumbx = config.screen_width / (maxnumx + 1)
    maxthumby = config.screen_height / (maxnumy + 1)
    maxperpage = maxnumx * maxnumy
    gallery_page = 0
    closeup_page = 0

    class GalleryItem:
        def __init__(self, name, images, thumb, locked="locked2thumb"):
            self.name = name
            self.images = images
            self.thumb = thumb
            self.locked = locked
            self.refresh_lock()

        def num_images(self):
            return len(self.images)

        def refresh_lock(self):
            self.num_unlocked = 0
            lockme = False
            for img in self.images:
                if not renpy.seen_image(img) and not persistent.unlocked:
                    lockme = True
                else:
                    lockme = False
                    self.num_unlocked += 1
            self.is_locked = lockme



    gallery_items = []
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Wise mind{/font}", ["img1"], "thumb1"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Myrmidon{/font}", ["img2", "img2b", "img2c"], "thumb2"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Respectful{/font}", ["img3"], "thumb3"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Monk{/font}", ["img4", "img4b" , "img4c"], "thumb4"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Selene{/font}", ["img5", "img5b"], "thumb5"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Wrath{/font}{/color}", ["img6"], "thumb6"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Sandstorm{/font}", ["img7", "img7b"], "thumb7"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Tel'Seyl{/font}", ["img8", "img8b"], "thumb8"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Buffoon{/font}", ["img9"], "thumb9"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Temptation{/font}", ["img10", "img10b"], "thumb10"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Nae and Mae{/font}", ["img11", "img11b"], "thumb11"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Lifeguard{/font}", ["img12"], "thumb12"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Farewell{/font}", ["img13", "img13b"], "thumb13"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}The stone{/font}", ["img14"], "thumb14"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Firestone{/font}", ["img16", "img16b", "img16c"], "thumb16"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{font=amperzand.ttf}Nutslayer{/font}", ["img30", "img30b", "img30c", "img30d"], "thumb30"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{color=#D5BF15}{font=amperzand.ttf}Secret I{/font}{/color}", ["img15", "img15b"], "thumb15"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{color=#D5BF15}{font=amperzand.ttf}Secret II{/font}{/color}", ["img17", "img19", "img20"], "thumb17"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{color=#D5BF15}{font=amperzand.ttf}Secret III{/font}{/color}", ["img21", "img22", "img23"], "thumb21"))
    gallery_items.append(GalleryItem("{color=#E2A76F}{color=#D5BF15}{font=amperzand.ttf}Secret lv{/font}{/color}", ["img23b", "img24", "img25", "img26", "img27", "img28", "img29"], "thumb23b"))
